globalThis.__nitro_main__ = import.meta.url;
import { a as toEventHandler, c as serve, i as defineLazyEventHandler, n as HTTPError, r as defineHandler, s as NodeResponse, t as H3Core } from "./_libs/h3+rou3+srvx.mjs";
import { i as withoutTrailingSlash, n as joinURL, r as withLeadingSlash, t as decodePath } from "./_libs/ufo.mjs";
import { promises } from "node:fs";
import { fileURLToPath } from "node:url";
import { dirname, resolve } from "node:path";
//#region #nitro-vite-setup
function lazyService(loader) {
	let promise, mod;
	return { fetch(req) {
		if (mod) return mod.fetch(req);
		if (!promise) promise = loader().then((_mod) => mod = _mod.default || _mod);
		return promise.then((mod) => mod.fetch(req));
	} };
}
var services = { ["ssr"]: lazyService(() => import("./_ssr/ssr.mjs")) };
globalThis.__nitro_vite_envs__ = services;
//#endregion
//#region node_modules/nitro/dist/runtime/internal/route-rules.mjs
var headers = ((m) => function headersRouteRule(event) {
	for (const [key, value] of Object.entries(m.options || {})) event.res.headers.set(key, value);
});
//#endregion
//#region #nitro/virtual/public-assets-data
var public_assets_data_default = {
	"/apple-touch-icon.png": {
		"type": "image/png",
		"etag": "\"1e86-5VwBhLmxr1flptmqcmo3XB/nH7s\"",
		"mtime": "2026-07-21T18:30:51.088Z",
		"size": 7814,
		"path": "../public/apple-touch-icon.png"
	},
	"/icon-192.png": {
		"type": "image/png",
		"etag": "\"21b3-TUoY+HT4DjU3lCL/EuuuCIWuuVk\"",
		"mtime": "2026-07-21T18:30:51.063Z",
		"size": 8627,
		"path": "../public/icon-192.png"
	},
	"/favicon.png": {
		"type": "image/png",
		"etag": "\"6e7-4AqBxj8FyV1azPkzQ3KC5WMWWSY\"",
		"mtime": "2026-07-21T18:30:51.146Z",
		"size": 1767,
		"path": "../public/favicon.png"
	},
	"/og-image.png": {
		"type": "image/png",
		"etag": "\"8ee0-TLFB3kbzXKbAvJZG7vlsGiwj13I\"",
		"mtime": "2026-07-21T18:30:51.216Z",
		"size": 36576,
		"path": "../public/og-image.png"
	},
	"/favicon.ico": {
		"type": "image/vnd.microsoft.icon",
		"etag": "\"3aee-e/1i7NtUQSky7T10adsgdKn9eJk\"",
		"mtime": "2026-07-21T18:30:51.160Z",
		"size": 15086,
		"path": "../public/favicon.ico"
	},
	"/robots.txt": {
		"type": "text/plain; charset=utf-8",
		"etag": "\"3a-ZVZ4HtHCZFA4qhJ/00GPTOkCaAY\"",
		"mtime": "2026-07-20T21:40:36.482Z",
		"size": 58,
		"path": "../public/robots.txt"
	},
	"/icon-512.png": {
		"type": "image/png",
		"etag": "\"6c73-LLbHcbwZFyHAc17wKOE5d52j7Ck\"",
		"mtime": "2026-07-21T18:30:51.036Z",
		"size": 27763,
		"path": "../public/icon-512.png"
	},
	"/assets/auth-Ia8f1UPl.js": {
		"type": "text/javascript; charset=utf-8",
		"etag": "\"8a5-0jCKBBP3ywqO584/L3gw9YU6X3Q\"",
		"mtime": "2026-07-21T18:42:41.647Z",
		"size": 2213,
		"path": "../public/assets/auth-Ia8f1UPl.js"
	},
	"/assets/admin-B2hodepO.js": {
		"type": "text/javascript; charset=utf-8",
		"etag": "\"6f11-0WON1SQIc92IbqnjUhRXD3S/GyM\"",
		"mtime": "2026-07-21T18:42:41.646Z",
		"size": 28433,
		"path": "../public/assets/admin-B2hodepO.js"
	},
	"/assets/blog.index-DHm7sbnj.js": {
		"type": "text/javascript; charset=utf-8",
		"etag": "\"316-3rG6SKJBeRXgq/4A+cSdf7RuFOM\"",
		"mtime": "2026-07-21T18:42:41.648Z",
		"size": 790,
		"path": "../public/assets/blog.index-DHm7sbnj.js"
	},
	"/assets/blog._slug-BzvtHtT0.js": {
		"type": "text/javascript; charset=utf-8",
		"etag": "\"bd-GaEOLIeKW1GHJXC+8FvN/fs4bmg\"",
		"mtime": "2026-07-21T18:42:41.648Z",
		"size": 189,
		"path": "../public/assets/blog._slug-BzvtHtT0.js"
	},
	"/assets/blog._slug-BT_JyCHf.js": {
		"type": "text/javascript; charset=utf-8",
		"etag": "\"550-g73msxWAUb+5Y+8hEycGhDLM5KI\"",
		"mtime": "2026-07-21T18:42:41.647Z",
		"size": 1360,
		"path": "../public/assets/blog._slug-BT_JyCHf.js"
	},
	"/assets/blog._slug-C0Tr5mX9.js": {
		"type": "text/javascript; charset=utf-8",
		"etag": "\"1aa-BfN447fhlMIqE+bY9lfF47IjKd8\"",
		"mtime": "2026-07-21T18:42:41.648Z",
		"size": 426,
		"path": "../public/assets/blog._slug-C0Tr5mX9.js"
	},
	"/assets/cenovnik-DLJRvQ-d.js": {
		"type": "text/javascript; charset=utf-8",
		"etag": "\"624-WyQMCwf6t2PLWDWQALnER/CD+Ck\"",
		"mtime": "2026-07-21T18:42:41.649Z",
		"size": 1572,
		"path": "../public/assets/cenovnik-DLJRvQ-d.js"
	},
	"/assets/card-awSNIHzW.js": {
		"type": "text/javascript; charset=utf-8",
		"etag": "\"40a-0CUjYENVzoVbIQJ49jGjBtT7b1I\"",
		"mtime": "2026-07-21T18:42:41.649Z",
		"size": 1034,
		"path": "../public/assets/card-awSNIHzW.js"
	},
	"/assets/depilacija-CCusSOKj.js": {
		"type": "text/javascript; charset=utf-8",
		"etag": "\"6c3-x/mPMj6mljJ4Di7K8AI3mM3X3QU\"",
		"mtime": "2026-07-21T18:42:41.650Z",
		"size": 1731,
		"path": "../public/assets/depilacija-CCusSOKj.js"
	},
	"/assets/chevron-down-CRUGYchK.js": {
		"type": "text/javascript; charset=utf-8",
		"etag": "\"74-CmSm97eDGqDro0Yv0Eaa94AY9OE\"",
		"mtime": "2026-07-21T18:42:41.650Z",
		"size": 116,
		"path": "../public/assets/chevron-down-CRUGYchK.js"
	},
	"/assets/dist-DU69F-aR.js": {
		"type": "text/javascript; charset=utf-8",
		"etag": "\"521-198ga76TJeNcpgcu5OQ/QFqnTdU\"",
		"mtime": "2026-07-21T18:42:41.652Z",
		"size": 1313,
		"path": "../public/assets/dist-DU69F-aR.js"
	},
	"/assets/dist-C9VbCov8.js": {
		"type": "text/javascript; charset=utf-8",
		"etag": "\"bfd7-/4kP4RvZGnINP7TGuMrEbZpr1cY\"",
		"mtime": "2026-07-21T18:42:41.651Z",
		"size": 49111,
		"path": "../public/assets/dist-C9VbCov8.js"
	},
	"/assets/IMG_4726-CJE2U5QS.webp": {
		"type": "image/webp",
		"etag": "\"17a52-cCGsEnD9kmjxvoo2vPAr3uMl/VU\"",
		"mtime": "2026-07-21T18:42:41.664Z",
		"size": 96850,
		"path": "../public/assets/IMG_4726-CJE2U5QS.webp"
	},
	"/assets/IMG_4728-BWZA794D.webp": {
		"type": "image/webp",
		"etag": "\"f272-91xM6k8sRsKGry2YgcNN7zyRIpM\"",
		"mtime": "2026-07-21T18:42:41.665Z",
		"size": 62066,
		"path": "../public/assets/IMG_4728-BWZA794D.webp"
	},
	"/assets/galerija-EZMfwIdy.js": {
		"type": "text/javascript; charset=utf-8",
		"etag": "\"24f-Zpzd+ryn3l4XUEIxJ4+PuNkKgls\"",
		"mtime": "2026-07-21T18:42:41.653Z",
		"size": 591,
		"path": "../public/assets/galerija-EZMfwIdy.js"
	},
	"/assets/IMG_4721-0UiRx-_F.webp": {
		"type": "image/webp",
		"etag": "\"5303a-0UnJ5CEJOmxHkfoJfW71jI/G+Vc\"",
		"mtime": "2026-07-21T18:42:41.664Z",
		"size": 340026,
		"path": "../public/assets/IMG_4721-0UiRx-_F.webp"
	},
	"/assets/IMG_4714-CgRnLqoQ.webp": {
		"type": "image/webp",
		"etag": "\"788ac-WZ5dzam+x7XXzS9j6wEDarYUyok\"",
		"mtime": "2026-07-21T18:42:41.663Z",
		"size": 493740,
		"path": "../public/assets/IMG_4714-CgRnLqoQ.webp"
	},
	"/assets/IMG_4719-D-Z-pE9I.webp": {
		"type": "image/webp",
		"etag": "\"82308-z3kSkInIyfAvXcTWl28Qb/MT1Cs\"",
		"mtime": "2026-07-21T18:42:41.663Z",
		"size": 533256,
		"path": "../public/assets/IMG_4719-D-Z-pE9I.webp"
	},
	"/assets/kontakt-B6u6hQIg.js": {
		"type": "text/javascript; charset=utf-8",
		"etag": "\"b40-m/OWH3P+sCNJBlp/Yp+0QVAsTkc\"",
		"mtime": "2026-07-21T18:42:41.654Z",
		"size": 2880,
		"path": "../public/assets/kontakt-B6u6hQIg.js"
	},
	"/assets/label-LT_57529.js": {
		"type": "text/javascript; charset=utf-8",
		"etag": "\"479-XFE40gM5VkZ1MwXAa/Mo/o9TbLk\"",
		"mtime": "2026-07-21T18:42:41.656Z",
		"size": 1145,
		"path": "../public/assets/label-LT_57529.js"
	},
	"/assets/loader-circle-fDpm3WoN.js": {
		"type": "text/javascript; charset=utf-8",
		"etag": "\"1b9a-JJQhuH28svysztWoca02pNR2PZc\"",
		"mtime": "2026-07-21T18:42:41.657Z",
		"size": 7066,
		"path": "../public/assets/loader-circle-fDpm3WoN.js"
	},
	"/assets/logo-B5NMt_DX.svg": {
		"type": "image/svg+xml",
		"etag": "\"4c54-Bm2CJOH3P5pZdnkwrCeyOJ3cHSs\"",
		"mtime": "2026-07-21T18:42:41.665Z",
		"size": 19540,
		"path": "../public/assets/logo-B5NMt_DX.svg"
	},
	"/assets/map-pin-BF0RZ4iX.js": {
		"type": "text/javascript; charset=utf-8",
		"etag": "\"f7-h9cxOCo1j58fatJSzo2Qv64tLLU\"",
		"mtime": "2026-07-21T18:42:41.657Z",
		"size": 247,
		"path": "../public/assets/map-pin-BF0RZ4iX.js"
	},
	"/assets/nokti-yOyEqRn1.js": {
		"type": "text/javascript; charset=utf-8",
		"etag": "\"68a-2jAz9g991ZqYztL6cu9ZhnEvGO0\"",
		"mtime": "2026-07-21T18:42:41.658Z",
		"size": 1674,
		"path": "../public/assets/nokti-yOyEqRn1.js"
	},
	"/assets/nokti.gel-lak-BAb-9l8K.js": {
		"type": "text/javascript; charset=utf-8",
		"etag": "\"344-EQFR70mRX3N+tFWAtzZp0sF4ovk\"",
		"mtime": "2026-07-21T18:42:41.658Z",
		"size": 836,
		"path": "../public/assets/nokti.gel-lak-BAb-9l8K.js"
	},
	"/assets/o-nama-DxdYiwab.js": {
		"type": "text/javascript; charset=utf-8",
		"etag": "\"9aa-LEsHLhuI2x5Mp6fq5MYw96yBlmA\"",
		"mtime": "2026-07-21T18:42:41.659Z",
		"size": 2474,
		"path": "../public/assets/o-nama-DxdYiwab.js"
	},
	"/assets/nokti.nadogradnja-noktiju-DlWYQkLe.js": {
		"type": "text/javascript; charset=utf-8",
		"etag": "\"134-aynuV45SMOghUbZIiWoBjS8rdcA\"",
		"mtime": "2026-07-21T18:42:41.659Z",
		"size": 308,
		"path": "../public/assets/nokti.nadogradnja-noktiju-DlWYQkLe.js"
	},
	"/assets/nokti.ojacavanje-gelom-Dq2CCuhg.js": {
		"type": "text/javascript; charset=utf-8",
		"etag": "\"12a-tnhqCKLfEqYHA0R0wi+qSFdmDmk\"",
		"mtime": "2026-07-21T18:42:41.659Z",
		"size": 298,
		"path": "../public/assets/nokti.ojacavanje-gelom-Dq2CCuhg.js"
	},
	"/assets/route-DO_oZNmt.js": {
		"type": "text/javascript; charset=utf-8",
		"etag": "\"8a-WZWWElfS8L5leXy6UR2R6kvndTE\"",
		"mtime": "2026-07-21T18:42:41.660Z",
		"size": 138,
		"path": "../public/assets/route-DO_oZNmt.js"
	},
	"/assets/routes-BkWOi8dB.js": {
		"type": "text/javascript; charset=utf-8",
		"etag": "\"1f8b-jRkf00X9SqqDOL6zTgVwTBOSgCg\"",
		"mtime": "2026-07-21T18:42:41.660Z",
		"size": 8075,
		"path": "../public/assets/routes-BkWOi8dB.js"
	},
	"/assets/styles-DZ-AoJ7Q.css": {
		"type": "text/css; charset=utf-8",
		"etag": "\"14201-ayy0d2QxPDX8KWcOLSHWhj0AsTY\"",
		"mtime": "2026-07-21T18:42:41.666Z",
		"size": 82433,
		"path": "../public/assets/styles-DZ-AoJ7Q.css"
	},
	"/assets/useBaseQuery-D4XyKbkv.js": {
		"type": "text/javascript; charset=utf-8",
		"etag": "\"2265-Ij8651BZfebaCD8ry3OqkGSCBKs\"",
		"mtime": "2026-07-21T18:42:41.661Z",
		"size": 8805,
		"path": "../public/assets/useBaseQuery-D4XyKbkv.js"
	},
	"/assets/useStore-BLH_7XFg.js": {
		"type": "text/javascript; charset=utf-8",
		"etag": "\"6c1e-phvEv+jlChHe4/nfxHYIhRQyXlc\"",
		"mtime": "2026-07-21T18:42:41.661Z",
		"size": 27678,
		"path": "../public/assets/useStore-BLH_7XFg.js"
	},
	"/assets/useSuspenseQuery-0pRt0U_3.js": {
		"type": "text/javascript; charset=utf-8",
		"etag": "\"ae-BRI/7Ip7OS2nIe2uXNjx6mjpBEE\"",
		"mtime": "2026-07-21T18:42:41.661Z",
		"size": 174,
		"path": "../public/assets/useSuspenseQuery-0pRt0U_3.js"
	},
	"/assets/zakazivanje-Nc9zNQQF.js": {
		"type": "text/javascript; charset=utf-8",
		"etag": "\"170a8-VrboL2b6pkI6hKNMWPP3tFzVmbA\"",
		"mtime": "2026-07-21T18:42:41.662Z",
		"size": 94376,
		"path": "../public/assets/zakazivanje-Nc9zNQQF.js"
	},
	"/assets/index-C4A4GzcU.js": {
		"type": "text/javascript; charset=utf-8",
		"etag": "\"966bc-jxIDf3bWRrKTUCLqjov8mnRYpGs\"",
		"mtime": "2026-07-21T18:42:41.646Z",
		"size": 616124,
		"path": "../public/assets/index-C4A4GzcU.js"
	}
};
//#endregion
//#region #nitro/virtual/public-assets-node
function readAsset(id) {
	const serverDir = dirname(fileURLToPath(globalThis.__nitro_main__));
	return promises.readFile(resolve(serverDir, public_assets_data_default[id].path));
}
//#endregion
//#region #nitro/virtual/public-assets
var publicAssetBases = {};
function isPublicAssetURL(id = "") {
	if (public_assets_data_default[id]) return true;
	for (const base in publicAssetBases) if (id.startsWith(base)) return true;
	return false;
}
function getAsset(id) {
	return public_assets_data_default[id];
}
//#endregion
//#region node_modules/nitro/dist/runtime/internal/static.mjs
var METHODS = /* @__PURE__ */ new Set(["HEAD", "GET"]);
var EncodingMap = {
	gzip: ".gz",
	br: ".br",
	zstd: ".zst"
};
var static_default = defineHandler((event) => {
	if (event.req.method && !METHODS.has(event.req.method)) return;
	let id = decodePath(withLeadingSlash(withoutTrailingSlash(event.url.pathname)));
	let asset;
	const encodings = [...(event.req.headers.get("accept-encoding") || "").split(",").map((e) => EncodingMap[e.trim()]).filter(Boolean).sort(), ""];
	for (const encoding of encodings) for (const _id of [id + encoding, joinURL(id, "index.html" + encoding)]) {
		const _asset = getAsset(_id);
		if (_asset) {
			asset = _asset;
			id = _id;
			break;
		}
	}
	if (!asset) {
		if (isPublicAssetURL(id)) {
			event.res.headers.delete("Cache-Control");
			throw new HTTPError({ status: 404 });
		}
		return;
	}
	if (encodings.length > 1) event.res.headers.append("Vary", "Accept-Encoding");
	if (event.req.headers.get("if-none-match") === asset.etag) {
		event.res.status = 304;
		event.res.statusText = "Not Modified";
		return "";
	}
	const ifModifiedSinceH = event.req.headers.get("if-modified-since");
	const mtimeDate = new Date(asset.mtime);
	if (ifModifiedSinceH && asset.mtime && new Date(ifModifiedSinceH) >= mtimeDate) {
		event.res.status = 304;
		event.res.statusText = "Not Modified";
		return "";
	}
	if (asset.type) event.res.headers.set("Content-Type", asset.type);
	if (asset.etag && !event.res.headers.has("ETag")) event.res.headers.set("ETag", asset.etag);
	if (asset.mtime && !event.res.headers.has("Last-Modified")) event.res.headers.set("Last-Modified", mtimeDate.toUTCString());
	if (asset.encoding && !event.res.headers.has("Content-Encoding")) event.res.headers.set("Content-Encoding", asset.encoding);
	if (asset.size > 0 && !event.res.headers.has("Content-Length")) event.res.headers.set("Content-Length", asset.size.toString());
	return readAsset(id);
});
//#endregion
//#region #nitro/virtual/routing
var findRouteRules = /* @__PURE__ */ (() => {
	const $0 = [{
		name: "headers",
		route: "/assets/**",
		handler: headers,
		options: { "cache-control": "public, max-age=31536000, immutable" }
	}];
	return (m, p) => {
		let r = [];
		if (p.charCodeAt(p.length - 1) === 47) p = p.slice(0, -1) || "/";
		let s = p.split("/");
		if (s.length > 1) {
			if (s[1] === "assets") r.unshift({
				data: $0,
				params: { "_": s.slice(2).join("/") }
			});
		}
		return r;
	};
})();
var _lazy_JIQbqh = defineLazyEventHandler(() => import("./_chunks/ssr-renderer.mjs"));
var findRoute = /* @__PURE__ */ (() => {
	const data = {
		route: "/**",
		handler: _lazy_JIQbqh
	};
	return ((_m, p) => {
		return {
			data,
			params: { "_": p.slice(1) }
		};
	});
})();
var globalMiddleware = [toEventHandler(static_default)].filter(Boolean);
//#endregion
//#region node_modules/nitro/dist/runtime/internal/error/prod.mjs
var errorHandler = (error, event) => {
	const res = defaultHandler(error, event);
	return new NodeResponse(typeof res.body === "string" ? res.body : JSON.stringify(res.body, null, 2), res);
};
function defaultHandler(error, event) {
	const unhandled = error.unhandled ?? !HTTPError.isError(error);
	const { status = 500, statusText = "" } = unhandled ? {} : error;
	if (status === 404) {
		const url = event.url || new URL(event.req.url);
		const baseURL = "/";
		if (/^\/[^/]/.test(baseURL) && !url.pathname.startsWith(baseURL)) return {
			status: 302,
			headers: new Headers({ location: `${baseURL}${url.pathname.slice(1)}${url.search}` })
		};
	}
	const headers = new Headers(unhandled ? {} : error.headers);
	headers.set("content-type", "application/json; charset=utf-8");
	return {
		status,
		statusText,
		headers,
		body: {
			error: true,
			...unhandled ? {
				status,
				unhandled: true
			} : typeof error.toJSON === "function" ? error.toJSON() : {
				status,
				statusText,
				message: error.message
			}
		}
	};
}
//#endregion
//#region #nitro/virtual/error-handler
var errorHandlers = [errorHandler];
async function error_handler_default(error, event) {
	for (const handler of errorHandlers) try {
		const response = await handler(error, event, { defaultHandler });
		if (response) return response;
	} catch (error) {
		console.error(error);
	}
}
//#endregion
//#region #nitro/virtual/app
function createNitroApp() {
	const captureError = (error, errorCtx) => {
		if (errorCtx?.event) {
			const errors = errorCtx.event.req.context?.nitro?.errors;
			if (errors) errors.push({
				error,
				context: errorCtx
			});
		}
	};
	const h3App = createH3App({ onError(error, event) {
		return error_handler_default(error, event);
	} });
	let appHandler = (req) => {
		req.context ||= {};
		req.context.nitro = req.context.nitro || { errors: [] };
		return h3App.fetch(req);
	};
	return {
		fetch: appHandler,
		h3: h3App,
		hooks: void 0,
		captureError
	};
}
function createH3App(config) {
	const h3App = new H3Core(config);
	h3App["~findRoute"] = (event) => findRoute(event.req.method, event.url.pathname);
	h3App["~middleware"].push(...globalMiddleware);
	h3App["~getMiddleware"] = (event, route) => {
		const pathname = event.url.pathname;
		const method = event.req.method;
		const middleware = [];
		const routeRules = getRouteRules(method, pathname);
		event.context.routeRules = routeRules?.routeRules;
		if (routeRules?.routeRuleMiddleware.length) middleware.push(...routeRules.routeRuleMiddleware);
		middleware.push(...h3App["~middleware"]);
		if (route?.data?.middleware?.length) middleware.push(...route.data.middleware);
		return middleware;
	};
	return h3App;
}
//#endregion
//#region node_modules/nitro/dist/runtime/internal/app.mjs
var APP_ID = "default";
function useNitroApp() {
	let instance = useNitroApp._instance;
	if (instance) return instance;
	instance = useNitroApp._instance = createNitroApp();
	globalThis.__nitro__ = globalThis.__nitro__ || {};
	globalThis.__nitro__[APP_ID] = instance;
	return instance;
}
function getRouteRules(method, pathname) {
	const m = findRouteRules(method, pathname);
	if (!m?.length) return { routeRuleMiddleware: [] };
	const routeRules = {};
	for (const layer of m) for (const rule of layer.data) {
		const currentRule = routeRules[rule.name];
		if (currentRule) {
			if (rule.options === false) {
				delete routeRules[rule.name];
				continue;
			}
			if (typeof currentRule.options === "object" && typeof rule.options === "object") currentRule.options = {
				...currentRule.options,
				...rule.options
			};
			else currentRule.options = rule.options;
			currentRule.route = rule.route;
			currentRule.params = {
				...currentRule.params,
				...layer.params
			};
		} else if (rule.options !== false) routeRules[rule.name] = {
			...rule,
			params: layer.params
		};
	}
	const middleware = [];
	const orderedRules = Object.values(routeRules).sort((a, b) => (a.handler?.order || 0) - (b.handler?.order || 0));
	for (const rule of orderedRules) {
		if (rule.options === false || !rule.handler) continue;
		middleware.push(rule.handler(rule));
	}
	return {
		routeRules,
		routeRuleMiddleware: middleware
	};
}
//#endregion
//#region node_modules/nitro/dist/runtime/internal/error/hooks.mjs
function _captureError(error, type) {
	console.error(`[${type}]`, error);
	useNitroApp().captureError?.(error, { tags: [type] });
}
function trapUnhandledErrors() {
	process.on("unhandledRejection", (error) => _captureError(error, "unhandledRejection"));
	process.on("uncaughtException", (error) => _captureError(error, "uncaughtException"));
}
//#endregion
//#region #nitro/virtual/tracing
var tracingSrvxPlugins = [];
//#endregion
//#region node_modules/nitro/dist/presets/node/runtime/node-server.mjs
var _parsedPort = Number.parseInt(process.env.NITRO_PORT ?? process.env.PORT ?? "");
var port = Number.isNaN(_parsedPort) ? 3e3 : _parsedPort;
var host = process.env.NITRO_HOST || process.env.HOST;
var cert = process.env.NITRO_SSL_CERT;
var key = process.env.NITRO_SSL_KEY;
var nitroApp = useNitroApp();
serve({
	port,
	hostname: host,
	tls: cert && key ? {
		cert,
		key
	} : void 0,
	fetch: nitroApp.fetch,
	plugins: [...tracingSrvxPlugins]
});
trapUnhandledErrors();
var node_server_default = {};
//#endregion
export { node_server_default as default };
